##
##  hostid.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_hostid      1.1.1
%define       V_hostid_snap 20220326

#   package information
Name:         hostid
Summary:      Determine UUID of Host
URL:          https://github.com/rse/hostid
Vendor:       Dr. Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        System
License:      MIT
Version:      %{V_hostid}
Release:      20220326

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/hostid/hostid-%{V_hostid}-%{V_hostid_snap}.tar.gz
Source1:      hostid.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a small Command-Line Interface (CLI) for determining the
    UUIDv5 of the underlying host via either its IEEE MAC address or a
    platform fingerprint.

%track
    prog hostid = {
        version   = %{V_hostid}-%{V_hostid_snap}
        url       = http://download.openpkg.org/components/versioned/hostid/
        regex     = hostid-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/hostid
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE hostid.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/hostid
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/hostid/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

